Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object Operations that can be performed on a file handle. The class provides access to operating system operations that effect file handles, such as s, s, and Unix file descriptors.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` File stream to advise. A containing the file access pattern to suggest. Advises a file access pattern for a file stream.

  AdviseFileAccessPattern is used to announce an intention to access file data with a specific pattern, allowing the kernel to perform appropriate optimizations.

  applies from beginning of file to end of file.

  The specified pattern is not binding; it merely constitutes an expectation on behalf of the application.

  is not a valid file stream.

  -or-

  is not a value.

  is . refers to a pipe or FIFO.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` A containing the file descriptor to advise. A containing the file access pattern to suggest. Advises a file access pattern for a Unix file descriptor.

  AdviseFileAccessPattern is used to announce an intention to access file data with a specific pattern, allowing the kernel to perform appropriate optimizations.

  applies from beginning of file to end of file.

  The specified pattern is not binding; it merely constitutes an expectation on behalf of the application.

  is not a valid file descriptor.

  -or-

  is not a valid value.

  refers to a pipe or FIFO.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` File stream to advise. A containing the file access pattern to suggest. Advises a file access pattern for a file stream.

  AdviseFileAccessPattern is used to announce an intention to access file data with a specific pattern, allowing the kernel to perform appropriate optimizations.

  applies from beginning of file to end of file.

  The specified pattern is not binding; it merely constitutes an expectation on behalf of the application.

  is not a valid file stream.

  -or-

  is not a valid value.

  is . refers to a pipe or FIFO.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` File stream to advise. A containing the file access pattern to suggest. A containing the start of the range to suggest the access pattern. A containing the length of the range to suggest the access pattern. If 0, is suggested until end-of-file. Advises a file access pattern for a file stream.

  AdviseFileAccessPattern is used to announce an intention to access file data with a specific pattern, allowing the kernel to perform appropriate optimizations.

  applies to a region starting at and extending for bytes (or until end-of-file if is 0) within the file specified by . The specified region need not currently exist.

  The specified pattern is not binding; it merely constitutes an expectation on behalf of the application.

  is not a valid file stream.

  -or-

  is not a value.

  is . refers to a pipe or FIFO.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` A containing the file descriptor to advise. A containing the file access pattern to suggest. A containing the start of the range to suggest the access pattern. A containing the length of the range to suggest the access pattern. If 0, is suggested until end-of-file. Advises a file access pattern for a Unix file descriptor.

  AdviseFileAccessPattern is used to announce an intention to access file data with a specific pattern, allowing the kernel to perform appropriate optimizations.

  applies to a region starting at and extending for bytes (or until end-of-file if is 0) within the file specified by . The specified region need not currently exist.

  The specified pattern is not binding; it merely constitutes an expectation on behalf of the application.

  is not a valid file descriptor.

  -or-

  is not a valid value.

  refers to a pipe or FIFO.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` File stream to advise. A containing the file access pattern to suggest. A containing the start of the range to suggest the access pattern. A containing the length of the range to suggest the access pattern. If 0, is suggested until end-of-file. Advises a file access pattern for a Unix file descriptor.

  AdviseFileAccessPattern is used to announce an intention to access file data with a specific pattern, allowing the kernel to perform appropriate optimizations.

  applies to a region starting at and extending for bytes (or until end-of-file if is 0) within the file specified by . The specified region need not currently exist.

  The specified pattern is not binding; it merely constitutes an expectation on behalf of the application.

  is not a valid file stream.

  -or-

  is not a valid value.

  is . refers to a pipe or FIFO.